# ------------------------------------------------------------------------------
#
# Win32-API
#   https://github.com/djberg96/win32-api
#
# The Win32-API was simply recompiled under my own namespace (AMS::Win32::API)
# to ensure compatibility with other extensions. No other changes were made!
#
# Thanks to Daniel J. Berger and Park Heesob for writing such a great gem!
#
# ------------------------------------------------------------------------------

Sketchup.require 'ams_Lib/core.rb'

dir = File.dirname(__FILE__)
path = File.join(dir, "#{RUBY_VERSION[0,3]}/win32/ams_api.so")
Object.send(:remove_const, :AMS::Win32) if defined?(::AMS::Win32)

if File.exists?(path)
  begin
    require path
  rescue Exception => e
    raise "AMS Library: There was an error loading ams_api!\nError:\n#{e}\nDetails:\n#{$@[0..2].join("\n")}"
  end
else
  raise "AMS Library: ams_api.so is not supported for the current ruby version (#{RUBY_VERSION})!"
end

AMS::Lib.file_loaded(__FILE__)
