# ------------------------------------------------------------------------------
#
#   Anton Synytsia
#   anton.synytsia@gmail.com
#
# ------------------------------------------------------------------------------

dir = File.dirname(__FILE__)
require File.join(dir, 'core.rb')

AMS::Lib.require('windows.rb')

module AMS::Screen

  module_function

  RESX = AMS::Windows::GetSystemMetrics.call(0) # SM_CXSCREEN
  RESY = AMS::Windows::GetSystemMetrics.call(1) # SM_CYSCREEN

  # @return [Integer]
  def width
    RESX
  end


  # @return [Integer]
  def height
    RESY
  end


  # @return [Array] +[width, height]+
  def resolution
    [RESX, RESY]
  end

end # module AMS::Screen

AMS::Lib.file_loaded(__FILE__)
