# ------------------------------------------------------------------------------
#
#   Anton Synytsia
#   anton.synytsia@gmail.com
#
# ------------------------------------------------------------------------------

dir = File.dirname(__FILE__)
require File.join(dir, 'core.rb')

AMS::Lib.require 'windows.rb'

module AMS::System

  module_function

  WIN = ((RUBY_PLATFORM =~ /mswin|mingw/i) != nil)
  OSX = RUBY_PLATFORM.include?('darwin')
  LINUX = RUBY_PLATFORM.include?('linux')

  # @return [Boolean]
  def windows?
    WIN
  end


  # @return [Boolean]
  def mac?
    OSX
  end


  # @return [Boolean]
  def linux?
    LINUX
  end


  # @return [Float] MSFT Window OS version
  # @see [Operating System Version](http://msdn.microsoft.com/en-us/library/windows/desktop/ms724832(v=vs.85).aspx)
  def windows_version
    return 0 unless WIN
    struct = [148, 0, 0, 0, 0, 0.chr*128].pack('LLLLLZ*')
    AMS::Windows::GetVersionEx.call(struct)
    data = struct.unpack('LLLLLZ*')
    data[1] + data[2]*0.1
  end

end # module AMS::System

AMS::Lib.file_loaded(__FILE__)
